# $Revision: 1.12 $, $Date: 2005/03/09 21:06:56 $
Summary:	RIGS - Ruby Interface for GNUstep
Summary(pl):	RIGS - Interfejs Ruby do GNUstepa
Name:		gnustep-ruby
Version:	0.2.2
Release:	1
License:	LGPL/GPL
Group:		Libraries
Source0:	ftp://ftp.gnustep.org/pub/gnustep/libs/rigs-%{version}.tar.gz
# Source0-md5:	d6e0231311f1822f8981014a0cf6cffc
#Source0:	%{name}-cvs-%{cvs}.tar.gz
Patch0:		%{name}-link.patch
Patch1:		%{name}-rootdir.patch
URL:		http://www.gnustep.org/experience/RIGS.html
BuildRequires:	gnustep-base-devel >= 1.7.1
BuildRequires:	gnustep-gui-devel >= 0.8.6
BuildRequires:	ruby-devel >= 1:1.6.4
Requires:	gnustep-base >= 1.7.1
Requires:	gnustep-gui >= 0.8.6
Requires:	ruby >= 1:1.6.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gsdir		/usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%define		ruby_sitelibdir		%(ruby -rrbconfig -e 'print Config::CONFIG["sitelibdir"]')
%define		ruby_sitearchdir	%(ruby -rrbconfig -e 'print Config::CONFIG["sitearchdir"]')

%description
RIGS stands for Ruby Interface for GNUstep. It is a package allowing
integration between Ruby and Objective-C/GNUstep. The main purpose of
RIGS is to allow the use the GNUstep development environment from
Ruby.

%description -l pl
RIGS to interfejs Ruby do GNUstepa. Pakiet ten umoliwia integracj
midzy jzykiem Ruby a Objective-C i GNUstepem. Gwnym celem RIGS
jest umoliwienie uywania rodowiska GNUstep z poziomu jzyka Ruby.

%prep
%setup -q -n rigs-%{version}
%patch0 -p1
%patch1 -p1

%build
. %{_gsdir}/System/Library/Makefiles/GNUstep.sh

%{__make} \
	OPTFLAG="%{rpmcflags}" \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_gsdir}/System/Library/Makefiles/GNUstep.sh
%{__make} install \
	INSTALL_ROOT_DIR=$RPM_BUILD_ROOT \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_gsdir}/System

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO

# UNIX world
%attr(755,root,root) %{ruby_sitearchdir}/librigs.so
%{ruby_sitelibdir}/*.rb
%{ruby_sitelibdir}/rigs

# GNUstep world
%attr(755,root,root) %{_gsdir}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/lib*.so.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnustep-ruby.spec,v $
Revision 1.12  2005/03/09 21:06:56  qboosh
- updated link patch, removed obsolete update patch

Revision 1.11  2005/03/05 23:45:21  aredridel
- up to 0.2.2
- Works with ruby 1.8!

Revision 1.10  2004/10/22 12:03:25  saq
- fixed BR

Revision 1.9  2004/08/21 23:41:19  ankry
- added epoch for ruby

Revision 1.8  2004/08/20 07:16:38  aredridel
- up to latest CVS, should be more stable.

Revision 1.7  2004/07/05 19:09:26  qboosh
- fixed build on amd64, release 2

Revision 1.6  2003/07/29 08:31:53  qboosh
- more specific URL

Revision 1.5  2003/07/28 16:27:15  qboosh
- pass OPTFLAG

Revision 1.4  2003/07/20 14:32:35  qboosh
- updated for new GNUstep fs structure
- added update patch needed for current gnustep-base API

Revision 1.3  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:48:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/12/31 17:13:43  qboosh
- new
